# FdoISQLDataReader Class Reference

`#include <ISQLDataReader.h>`

Inheritance diagram for FdoISQLDataReader:

[legend]

List of all members.

## Detailed Description

The FdoISQLDataReader interface provides a forward-only, read-only iterator for reading relational table data. A reference to an FdoISQLDataReader is returned from the SQLCommands ExecuteReader method. The initial position of the FdoISQLDataReader interface is prior to the first item. Thus, you must call ReadNext to begin accessing any data.

Definition at line 32 of file ISQLDataReader.h.

## Public Member Functions
virtual FDO_API void | Close ()=0
| Closes the FdoISQLDataReader object, freeing any resources it may be holding.
virtual FDO_API bool | GetBoolean (FdoString *columnName)=0
| Gets the Boolean value of the specified column. No conversion is performed, thus the column must be FdoDataType_Boolean or an exception is thrown.
virtual FDO_API FdoByte | GetByte (FdoString *columnName)=0
| Gets the byte value of the specified column. No conversion is performed, thus the column must be FdoDataType_Byte or an exception is thrown.
virtual FDO_API FdoInt32 | GetColumnCount ()=0
| Gets the number of columns in the result set.
virtual FDO_API FdoString * | GetColumnName (FdoInt32 index)=0
| Gets the name of the column at the given ordinal position.
virtual FDO_API FdoDataType | GetColumnType (FdoString *columnName)=0
| Gets the data type of the column with the specified name.
virtual FDO_API FdoDateTime | GetDateTime (FdoString *columnName)=0
| Gets the date time value of the specified column. No conversion is performed, thus the column must be FdoDataType_DateTime or an exception is thrown.
virtual FDO_API double | GetDouble (FdoString *columnName)=0
| Gets the double-precision floating point value of the specified column. No conversion is performed, thus the column must be of type Double or an exception is thrown.
virtual FDO_API FdoByteArray * | GetGeometry (FdoString *columnName)=0
| Gets the geometry value of the specified column as a byte array in FGF format. No conversion is performed, thus the column must be of Geometric type or an exception is thrown.
virtual FDO_API FdoInt16 | GetInt16 (FdoString *columnName)=0
| Gets the signed 16-bit integer value of the specified column. No conversion is performed, thus the column must be FdoDataType_Int16 or an exception is thrown.
virtual FDO_API FdoInt32 | GetInt32 (FdoString *columnName)=0
| Gets the signed 32-bit integer value of the specified column. No conversion is performed, thus the column must be FdoDataType_Int32 or an exception is thrown.
virtual FDO_API FdoInt64 | GetInt64 (FdoString *columnName)=0
| Gets the signed 64-bit integer value of the specified column. No conversion is performed, thus the column must be FdoDataType_Int64 or an exception is thrown.
virtual FDO_API FdoLOBValue * | GetLOB (FdoString *propertyName)=0
| Gets a LOBValue reference. The LOB is fully read in and data available. Because no conversion is performed, the property must be FdoDataType_BLOB or FdoDataType_CLOB etc. (a LOB type).
virtual FDO_API FdoIStreamReader * | GetLOBStreamReader (const wchar_t *propertyName)=0
| Gets a reference of the specified LOB property as a FdoBLOBStreamReader or FdoCLOBStreamReader etc. to allow reading in blocks of data. Because no conversion is performed, the property must be FdoDataType_BLOB or FdoDataType_CLOB etc. (a LOB type) Cast the FdoIStreamReader to the appropiate LOB Stream Reader.
virtual FDO_API FdoPropertyType | GetPropertyType (FdoString *columnName)=0
| Gets the FDO property type of the column with the specified name. This is used to indicate if a given column is a geometric property or a data property. If the column is a FdoPropertyType_DataProperty, then GetColumnType can be used to find the data type of the column.
virtual FDO_API float | GetSingle (FdoString *columnName)=0
| Gets the single-precision floating point value of the specified column. No conversion is performed, thus the column must be FdoDataType_Single or an exception is thrown.
virtual FDO_API FdoString * | GetString (FdoString *columnName)=0
| Gets the string value of the specified column. No conversion is performed, thus the column must be FdoDataType_String or an exception is thrown.
virtual FDO_API bool | IsNull (FdoString *columnName)=0
| Returns true if the value of the specified column is null.
virtual FDO_API bool | ReadNext ()=0
| Advances the reader to the next item. The default position of the reader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.

The documentation for this class was generated from the following file:

- ISQLDataReader.h